WABT(1)

NAME
wasm2c - convert a WebAssembly binary file to a C source and header

SYNOPSIS
wasm2c [options] file

DESCRIPTION
wasm2c takes a WebAssembly module and produces an equivalent C source and header.

The options are as follows:

-v, - -verbose
    Use multiple times for more info

- -help
    Print a help message

-o, - -output=FILENAME
    Output file for the generated C source file, by default use stdout

- -enable-exceptions
    Experimental exception handling

- -disable-mutable-globals
    Import/export mutable globals

- -enable-saturating-float-to-int
    Saturating float-to-int operators

- -enable-sign-extension
    Sign-extension operators

- -enable-simd
    SIMD support

- -enable-threads
    Threading support

- -no-debug-names
    Ignore debug names in the binary file

EXAMPLES
Parse binary file test.wasm and write test.c and test.h

    $ wasm2c test.wasm -o test.c

Parse test.wasm, write test.c and test.h, but ignore the debug names, if any

    $ wasm2c test.wasm --no-debug-names -o test.c

SEE ALSO
wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2wat(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.